List Models
POST
/modelsRetrieve a list of available models.
cURL Example
curl --request GET \
--url 'https://api.hpc-ai.com/inference/v1/models' \
--header 'Authorization: Bearer <your_token_here>'
Authorization
The AccessToken must be included in the request as a header when making REST API requests, along with the Content-Type header. You can use the following format for authorization:
--header 'Authorization: Bearer <your_token_here>'
--header 'Content-Type: application/json'
Note: Replace your_token_here with your actual AccessToken. It contains information that allows the server to verify your identity and permissions.
Example Response
Success Response
| Field | Type | Description |
|---|---|---|
object | string | The type of the response object. |
data | array | A list of model objects, containing details about each model. |
{
"object": "list",
"data": [
{
"id": "minimax/minimax-m2.5",
"object": "",
"created": 0,
"owned_by": "minimax"
},
......
]
}
- 200
- 401
- 500
{
"object": "list",
"data": [
{
"id": "minimax/minimax-m2.5",
"object": "",
"created": 0,
"owned_by": "minimax"
},
......
]
}
{
"error": {
"code": "invalid_api_key",
"message": "Invalid token provided.",
"param": null,
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Service temporarily unavailable, please try again later",
"type": "error",
"param": null,
"code": "internal_error"
}
}